Service for generating and retrieving application and resource topologies.
A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.
Server Setup
You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.
Server Endpoints
An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.
The App Topology API MCP server has the following global MCP endpoint:
- https://apptopology.googleapis.com/mcp
MCP Tools
An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.
Tools
The apptopology.googleapis.com MCP server has the following tools:
| MCP Tools | |
|---|---|
explore_schema |
Explores the topology schema via multi-hop BFS traversal from starting label names within a domain schema. |
generate_discovered_resources_topology |
Generate the topology for all discovered (including non-registrable) resources for given project based on the view option and filters. |
get_domain |
Retrieve details about a specific, named topology domain. |
get_schema |
GetSchema returns the necessary information to be able to construct filters i.e. a collection of supported node and edge labels and properties for an domain. |
list_domains |
ListDomains method returns all available topology domains in a specific location. |
Get MCP tool specifications
To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.
| Curl Request |
|---|
curl --location 'https://apptopology.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |